## debootstick 1.2

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

all:

clean:

DSDIR=$(DESTDIR)/usr/share/debootstick
install:
	set -e
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -ar scripts/* $(DSDIR)/scripts/

	sed 's/@VERSION@/$(VERSION)/g' debootstick >$(DESTDIR)/usr/sbin/debootstick
	chown root:root $(DESTDIR)/usr/sbin/debootstick
	chmod 0755 $(DESTDIR)/usr/sbin/debootstick

## debootstick 0.9c

=== debian/changelog ===
debootstick (0.9c) unstable; urgency=low

  * Initial Debian release. (Closes: Bug#779654)

 -- Etienne Dublé <etienne.duble@gmail.com>  Fri, 20 Mar 2015 10:26:33 +0000

=== debian/control ===
Source: debootstick
Section: admin
Priority: extra
Maintainer: Etienne Dublé <etienne.duble@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://drakkar-lig.github.io/debootstick
Vcs-Git: git://github.com/drakkar-lig/debootstick
Vcs-Browser: https://github.com/drakkar-lig/debootstick

Package: debootstick
Architecture: amd64
Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin, uuid-runtime, gdisk, dosfstools
Suggests: debootstrap, kvm
Description: Turn a chroot environment into a bootable image
 debootstick is used to generate a bootable image from a Debian
 or Ubuntu chroot environment (such as one generated with
 debootstrap, docker export, etc.).
 This image should then be copied to a USB stick or disk and
 used to boot any amd64 machine (BIOS- or UEFI-based).
 The embedded system is ready to be started live (no
 installation procedure needed), and is fully upgradeable
 (kernel and bootloader included).

## debootstick 1.0

=== debian/changelog ===
debootstick (1.0) unstable; urgency=medium

  * New option to generate installer images.
  * i386 support (host and chroot environments).
  * Fix about removal of host cache files (closes: Bug#794938).
    Thanks to Julien Pinon for pointing this out.
  * Minor improvements and bugfixes.

 -- Etienne Dublé <etienne.duble@gmail.com>  Mon, 24 Aug 2015 11:09:07 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
 
 Package: debootstick
-Architecture: amd64
-Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin, uuid-runtime, gdisk, dosfstools
+Architecture: amd64 i386
+Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin,
+ grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools
 Suggests: debootstrap, kvm
 Description: Turn a chroot environment into a bootable image
  debootstick is used to generate a bootable image from a Debian

## debootstick 1.2

=== debian/changelog ===
debootstick (1.2) unstable; urgency=medium

  * Support Debian Stretch (as of october 31, 2016) chroot environments.

 -- Etienne Dublé <etienne.duble@gmail.com>  Mon, 31 Oct 2016 11:25:33 +0000

debootstick (1.1) unstable; urgency=medium

  * Support Debian Stretch (as of september 1, 2016) chroot environments.
  * Support Debian Stretch as host.
  * Support Ubuntu 16.04 chroot environments.
  * Update support for Ubuntu 14.04, Debian Wheezy and Jessie.
  * Drop support for Ubuntu 12.04.
  * Minor improvements and bugfixes.

 -- Etienne Dublé <etienne.duble@gmail.com>  Thu, 1 Sep 2016 13:13:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://drakkar-lig.github.io/debootstick
-Vcs-Git: git://github.com/drakkar-lig/debootstick
+Vcs-Git: https://github.com/drakkar-lig/debootstick
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
 
 Package: debootstick

## debootstick 2.0

=== debian/changelog ===
debootstick (2.0) unstable; urgency=medium

  * Raspberry Pi SD card generation support (with a raspbian chroot).
  * Enhanced kernel bootargs management (wrt. <name>=<value> format).
    (Thanks to ThibsG for reporting the related issue.)
  * Refactor to separate target-specific (RPi or PC) and common code.
  * Also added 'skeleton' target for reference.
  * Support both GPT and DOS partitioning.
  * Allow a given target not to use LVM (i.e. have rootfs on partition).
  * More robust lvm devices removal while building image.
  * Fix issue when extending filesystem over a large disk (with Jessie).
  * Improve code robustness.

 -- Etienne Dublé <etienne.duble@gmail.com>  Fri, 9 Mar 2018 17:59:13 +0000

debootstick (1.3) unstable; urgency=medium

  * Support Debian Buster (as of january 31, 2018) chroot environments.
  * Enhance --config-kernel-bootargs: add or remove bootargs
    (Thanks to Andreas Unterkircher for the initial idea.)
  * Do not fail if there is no free space on 1st boot
    (Thanks to Andreas Unterkircher.)
  * Add dependency on e2fsprogs (closes: Bug#887209).
  * Fix options lost when calling sudo!
  * Fix error detection in grub install function.
    (Thanks to Andreas Unterkircher for reporting the issue.)
  * Fix lintian warnings.
  * Reduce verbosity.

 -- Etienne Dublé <etienne.duble@gmail.com>  Wed, 31 Jan 2018 16:35:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: debootstick
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
 Homepage: http://drakkar-lig.github.io/debootstick
 Vcs-Git: https://github.com/drakkar-lig/debootstick
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
@@ -11,7 +11,8 @@
 Package: debootstick
 Architecture: amd64 i386
 Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin,
- grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools
+ grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools, e2fsprogs,
+ qemu-user-static
 Suggests: debootstrap, kvm
 Description: Turn a chroot environment into a bootable image
  debootstick is used to generate a bootable image from a Debian

## debootstick 2.1

=== debian/changelog ===
debootstick (2.1) unstable; urgency=medium

  * Extensive tests.
  * Fix arch detection on some 32bits PC chroots.
  * Fix UEFI boot (obsolete rootfs label).
  * Fix filesystem expansion issues.
  * Update long description and README.md.

 -- Etienne Dublé <etienne.duble@gmail.com>  Fri, 5 Oct 2018 13:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
  debootstrap, docker export, etc.).
  This image should then be copied to a USB stick or disk and
  used to boot any amd64 machine (BIOS- or UEFI-based).
+ debootstick can also generate an SD card image for a
+ raspberry pi board.
  The embedded system is ready to be started live (no
  installation procedure needed), and is fully upgradeable
  (kernel and bootloader included).

## debootstick 2.2

=== debian/changelog ===
debootstick (2.2) unstable; urgency=medium

  * Fix new LVM versions hanging in chroot (closes: Bug#923852).

 -- Etienne Dublé <etienne.duble@gmail.com>  Fri, 8 Mar 2019 13:48:03 +0000

## debootstick 2.4

=== debian/changelog ===
debootstick (2.4) unstable; urgency=medium

  * Just rebuild for upload to unstable.

 -- Etienne Dublé <etienne.duble@gmail.com>  Fri, 31 May 2019 18:01:03 +0000

debootstick (2.3) experimental; urgency=medium

  * Fix new LVM versions hanging in migration procedure (closes: Bug#928080).
  * Fix migration script sometimes failing (closes: Bug#929355).
  * Fix handling of chroots based on Ubuntu >= 18.04 (closes: Bug#929356).

 -- Etienne Dublé <etienne.duble@gmail.com>  Wed, 22 May 2019 13:56:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://drakkar-lig.github.io/debootstick
 Vcs-Git: https://github.com/drakkar-lig/debootstick
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
@@ -25,4 +25,3 @@
  The embedded system is ready to be started live (no
  installation procedure needed), and is fully upgradeable
  (kernel and bootloader included).
-

## debootstick 2.4+nmu1

=== debian/changelog ===
debootstick (2.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:16:02 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
 
 Package: debootstick
-Architecture: amd64 i386
+Architecture: amd64 i386 loongarch64
 Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin,
  grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools, e2fsprogs,
  qemu-user-static

## debootstick 2.5

=== debian/changelog ===
debootstick (2.5) unstable; urgency=medium

  * Validate support for Raspberry Pi 4
  * Handle user-defined disk layouts (idea of D.Muhamedagic)
  * Less aggressive guest cleanup function (thanks to Ken Gilmer)
  * Handle resize of FAT partitions
  * Improvement to state recovery in case of failure
  * GPT: Relocate secondary header when resizing last partition
  * Improve precision of size calculations
  * Restrict image permissions to 644 (thanks to Dejan Muhamedagic)
  * Handle latest guest OS versions
  * Makefile improvements (by Ken Gilmer and Etienne Dublé)
  * Improved /etc/resolv.conf handling
  * Grub: Preferably disable OS prober while building image
  * Obsolete code removal
  * Documentation updates

 -- Etienne Dublé <etienne.duble@gmail.com>  Mon, 2 Nov 2020 11:03:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
-Homepage: http://drakkar-lig.github.io/debootstick
-Vcs-Git: https://github.com/drakkar-lig/debootstick
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://drakkar-lig.github.io/debootstick
+Vcs-Git: https://github.com/drakkar-lig/debootstick.git
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
 
 Package: debootstick
-Architecture: amd64 i386 loongarch64
+Architecture: amd64 i386
 Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin,
  grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools, e2fsprogs,
  qemu-user-static

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# let the Makefile know that we are building a debian
# package.
export DH_BUILD_TYPE=1

%:
	dh $@

## debootstick 2.8

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

all:

clean:

ifdef DH_BUILD_TYPE
# debhelper will manage installation of docs itself
install: install-tool

uninstall: uninstall-tool

else
install: install-tool install-docs

uninstall: uninstall-tool uninstall-docs

endif

DSDIR=$(DESTDIR)/usr/share/debootstick
install-tool:
	set -e
	mkdir -p $(DSDIR)/scripts $(DSDIR)/disk-layouts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -ar scripts/* $(DSDIR)/scripts/
	cp -ar disk-layouts/* $(DSDIR)/disk-layouts/

	sed 's/@VERSION@/$(VERSION)/g' debootstick >$(DESTDIR)/usr/sbin/debootstick
	[ "$(DH_BUILD_TYPE)" = "1" ] || chown root:root $(DESTDIR)/usr/sbin/debootstick
	chmod 0755 $(DESTDIR)/usr/sbin/debootstick

install-docs:
	mkdir -p /usr/share/doc/debootstick
	gzip < debootstick.8 > $(DESTDIR)/usr/share/man/man8/debootstick.8.gz
	gzip < debian/changelog > $(DESTDIR)/usr/share/doc/debootstick/changelog.gz
	cp README.md debian/copyright $(DESTDIR)/usr/share/doc/debootstick/

uninstall-tool:
	rm -Rf $(DSDIR)
	rm $(DESTDIR)/usr/sbin/debootstick

uninstall-docs:
	rm $(DESTDIR)/usr/share/man/man8/debootstick.8.gz
	rm -Rf $(DESTDIR)/usr/share/doc/debootstick/

=== debian/changelog ===
debootstick (2.8) unstable; urgency=medium

  * Bookworm support (thanks to ciscon@github)
  * The package is now architecture-independent
  * Support running from source dir (thanks to ciscon@github)
  * Raspberry Pi guest: improve binfmt cpu emulation handling
  * More robust guest resolv.conf
  * Fix possible missing space error when updating large initramfs
  * apt install: fix return code if ever it fails
  * Disk layout sizes: increase margins for security
  * Fix dependency issue (LP: #1981651)
  * Migration: Fix issues with 'disk' or 'part' in LVM labels
    (thanks to V.Danjean)

 -- Etienne Dublé <etienne.duble@gmail.com>  Thu, 20 Oct 2022 14:32:04 +0000

debootstick (2.7) focal impish jammy; urgency=medium

  * New option --run-on-first-boot (thanks to S H Mohanjith)

 -- Etienne Dublé <etienne.duble@gmail.com>  Mon, 24 Jan 2022 09:58:00 +0000

debootstick (2.6) focal impish jammy; urgency=medium

  * Secure-Boot support (idea of khimaros)
  * Support for 4K native disks, and new --sector-size option
    (thanks to S.Fiala)
  * Fix support for migrating to NVMe devices (thanks to F.Lavratti)
  * Fix migrating to a disk with a different logical sector size
  * Installer-mode: generic disk detection with lsblk
  * Fix UEFI boot on Ubuntu minbase
  * Improved /etc/resolv.conf handling again
  * Minor improvements and fixes

 -- Etienne Dublé <etienne.duble@gmail.com>  Wed, 19 Jan 2022 16:03:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Homepage: https://drakkar-lig.github.io/debootstick
 Vcs-Git: https://github.com/drakkar-lig/debootstick.git
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
 
 Package: debootstick
-Architecture: amd64 i386
-Depends: ${misc:Depends}, lvm2, kpartx, grub-efi-amd64-bin,
- grub-efi-ia32-bin, uuid-runtime, gdisk, dosfstools, e2fsprogs,
- qemu-user-static
-Suggests: debootstrap, kvm
+Architecture: all
+Depends: ${misc:Depends}, lvm2, uuid-runtime, gdisk,
+ dosfstools, e2fsprogs, qemu-user-static
+Suggests: debootstrap, qemu-kvm
 Description: Turn a chroot environment into a bootable image
  debootstick is used to generate a bootable image from a Debian
  or Ubuntu chroot environment (such as one generated with

## debootstick 2.8build1

=== debian/changelog ===
debootstick (2.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 21:38:37 +0000

## debootstick 2.9

=== debian/changelog ===
debootstick (2.9) unstable; urgency=medium

  * Minor update to error message style (thanks to K.Gilmer)
  * Update message about tested systems (thanks to K.Gilmer)
  * Adjust qemu binfmt dependency (Closes: #1124779, thanks to M.Tokarev)

 -- Etienne Dublé <etienne.duble@gmail.com>  Wed, 21 Jan 2026 15:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: debootstick
 Section: admin
-Priority: optional
 Maintainer: Etienne Dublé <etienne.duble@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.3
 Homepage: https://drakkar-lig.github.io/debootstick
 Vcs-Git: https://github.com/drakkar-lig/debootstick.git
 Vcs-Browser: https://github.com/drakkar-lig/debootstick
@@ -12,7 +10,7 @@
 Package: debootstick
 Architecture: all
 Depends: ${misc:Depends}, lvm2, uuid-runtime, gdisk,
- dosfstools, e2fsprogs, qemu-user-static
+ dosfstools, e2fsprogs, qemu-user-binfmt
 Suggests: debootstrap, qemu-kvm
 Description: Turn a chroot environment into a bootable image
  debootstick is used to generate a bootable image from a Debian
